commit:     99f257619ac0f8a3cd01aaa3a966cb6956cdc6ea
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 14 07:39:01 2025 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sun Sep 14 07:39:01 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=99f25761

app-emulation/fs-uae-launcher: Version bump to 3.2.20

Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 app-emulation/fs-uae-launcher/Manifest             |  1 +
 .../fs-uae-launcher/fs-uae-launcher-3.2.20.ebuild  | 64 ++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/app-emulation/fs-uae-launcher/Manifest 
b/app-emulation/fs-uae-launcher/Manifest
index 61a9e7463cc7..d5b4022fc79b 100644
--- a/app-emulation/fs-uae-launcher/Manifest
+++ b/app-emulation/fs-uae-launcher/Manifest
@@ -1,2 +1,3 @@
 DIST fs-uae-launcher-3.1.70-qt6.patch 84928 BLAKE2B 
830717b0cbe88b2d002691f8d584e5edd90e9a45c022b4e44fbc408615a1e8b67693febc8e946ba10a50bb20fafc4dcac75206104996a0431079bad26459ff45
 SHA512 
9aeb496ff98094d17574dd9374693b3db70eefb4bbe8595c6fccce8fd4b5e1abf23e836df111f1253774d5a55091ae39d6d6b8b9d42d7c7fa26c38456dddb0a6
 DIST fs-uae-launcher-3.1.70.tar.xz 7707368 BLAKE2B 
fce6e47b1e09fbfae4959cffe55fec5803aa4dca511af76d621fba2156eee5d76164c0ff5dfad75864b3c2fd5c0a8b5968181538d37b9a039ffd8ab037eeafa2
 SHA512 
6a4eca273ebd21f64ee0a863497fb39c8b17b6dba0b99a0122f33ea688fb2b341998280b3d0ab4cac2d913bc15834dfec3a1662331dea48933135a82e29f5a83
+DIST fs-uae-launcher-3.2.20.tar.xz 7708216 BLAKE2B 
a4ea05b80982a11b7cdd5a53ba74a8d8cc9f4c5df0adee4240c06293fba72227de35bb93e38cda17e7e4c014d8d404bac5ab843b221e1b724d70ac751fd4b618
 SHA512 
2a514a8f41469e75dcf5e71af6cecff21410091f42755fae1809c8b74dcf4d7b96a62cd7b8a6efaabbb1b8b93e0227f9d4b673b51a811f971c3b00fbad671774

diff --git a/app-emulation/fs-uae-launcher/fs-uae-launcher-3.2.20.ebuild 
b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.2.20.ebuild
new file mode 100644
index 000000000000..7ed7bd9462f1
--- /dev/null
+++ b/app-emulation/fs-uae-launcher/fs-uae-launcher-3.2.20.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11..13} )
+DISTUTILS_USE_PEP517=setuptools
+DISTUTILS_SINGLE_IMPL=yes
+
+inherit distutils-r1 xdg
+
+DESCRIPTION="PyQt-based launcher for FS-UAE"
+HOMEPAGE="https://fs-uae.net/";
+SRC_URI="https://github.com/FrodeSolheim/${PN}/releases/download/v${PV}/${P}.tar.xz";
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64"
+IUSE="lha"
+RESTRICT="test" # The test files are just boilerplate.
+
+RDEPEND="
+       app-emulation/fs-uae
+       $(python_gen_cond_dep '
+               dev-python/pyqt6[${PYTHON_USEDEP},gui,network,opengl,widgets]
+               dev-python/pyopengl[${PYTHON_USEDEP}]
+               dev-python/requests[${PYTHON_USEDEP}]
+               lha? ( dev-python/lhafile[${PYTHON_USEDEP}] )
+       ')
+"
+
+BDEPEND="
+       sys-devel/gettext
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-3.0.0-ROMs.patch
+)
+
+python_compile_all() {
+       emake mo
+}
+
+python_install_all() {
+       emake install-data DESTDIR="${D}" prefix="${EPREFIX}"/usr
+       mv "${ED}"/usr/share/doc/{${PN},${PF}} || die
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+
+       elog "Some important information:"
+       elog
+       elog " - By default, FS-UAE creates its directories under 
Documents/FS-UAE."
+       elog "   If your Documents directory is not configured according to the 
XDG"
+       elog "   user diretory spec, ~/FS-UAE will be used as a fallback."
+       elog
+       elog " - You can override this by putting the path to the desired base"
+       elog "   directory in a special config file. The config file will be 
read"
+       elog "   from ~/.config/fs-uae/base-dir by both FS-UAE and FS-UAE 
Launcher"
+       elog "   if it exists."
+       elog
+       elog "   Alternatively, you can start FS-UAE and/or FS-UAE Launcher 
with"
+       elog "   --base-dir=/path/to/desired/dir"
+}

Reply via email to